osgWidget::GeometryHints Struct Reference

`#include <PdfReader>`

## Public Types

enum | AspectRatioPolicy { RESIZE_HEIGHT_TO_MAINTAINCE_ASPECT_RATIO , RESIZE_WIDTH_TO_MAINTAINCE_ASPECT_RATIO , IGNORE_DOCUMENT_ASPECT_RATIO }

## Public Member Functions

| GeometryHints ()
| GeometryHints (const osg::Vec3 &pos, const osg::Vec3 &wVec, const osg::Vec3 &hVec, const osg::Vec4 &bColor, AspectRatioPolicy asp=RESIZE_HEIGHT_TO_MAINTAINCE_ASPECT_RATIO, unsigned int wRes=1024, unsigned int hRes=1024)

## Public Attributes

osg::Vec3 | position
osg::Vec3 | widthVec
osg::Vec3 | heightVec
osg::Vec4 | backgroundColor
AspectRatioPolicy | aspectRatioPolicy
unsigned int | widthResolution
unsigned int | heightResolution

## Detailed Description

Hints structure that can be passed to PdfReader and VncClient classes to help guide them on what geometry to build.

## Member Enumeration Documentation

## AspectRatioPolicy

enum osgWidget::GeometryHints::AspectRatioPolicy

Enumerator
RESIZE_HEIGHT_TO_MAINTAINCE_ASPECT_RATIO |
RESIZE_WIDTH_TO_MAINTAINCE_ASPECT_RATIO |
IGNORE_DOCUMENT_ASPECT_RATIO |

## Constructor & Destructor Documentation

## GeometryHints() [1/2]

osgWidget::GeometryHints::GeometryHints | ( |  | ) |

inline

References aspectRatioPolicy, backgroundColor, heightResolution, heightVec, position, RESIZE_HEIGHT_TO_MAINTAINCE_ASPECT_RATIO, widthResolution, and widthVec.

## GeometryHints() [2/2]

osgWidget::GeometryHints::GeometryHints | ( | const osg::Vec3 & | pos,
|  | const osg::Vec3 & | wVec,
|  | const osg::Vec3 & | hVec,
|  | const osg::Vec4 & | bColor,
|  | AspectRatioPolicy | asp = RESIZE_HEIGHT_TO_MAINTAINCE_ASPECT_RATIO,
|  | unsigned int | wRes = 1024,
|  | unsigned int | hRes = 1024 )

inline

References aspectRatioPolicy, backgroundColor, heightResolution, heightVec, position, RESIZE_HEIGHT_TO_MAINTAINCE_ASPECT_RATIO, widthResolution, and widthVec.

## Member Data Documentation

## aspectRatioPolicy

AspectRatioPolicy osgWidget::GeometryHints::aspectRatioPolicy

Referenced by GeometryHints(), and GeometryHints().

## backgroundColor

osg::Vec4 osgWidget::GeometryHints::backgroundColor

Referenced by GeometryHints(), and GeometryHints().

## heightResolution

unsigned int osgWidget::GeometryHints::heightResolution

Referenced by GeometryHints(), and GeometryHints().

## heightVec

osg::Vec3 osgWidget::GeometryHints::heightVec

Referenced by GeometryHints(), and GeometryHints().

## position

osg::Vec3 osgWidget::GeometryHints::position

Referenced by GeometryHints(), and GeometryHints().

## widthResolution

unsigned int osgWidget::GeometryHints::widthResolution

Referenced by GeometryHints(), and GeometryHints().

## widthVec

osg::Vec3 osgWidget::GeometryHints::widthVec

Referenced by GeometryHints(), and GeometryHints().

The documentation for this struct was generated from the following file:

- PdfReader